%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")
%define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")

Summary: Media Center Toolkit
Name: pigment
Version: 0.3.1
Release: 2%{?dist}
License: LGPLv2+
Group: Applications/Multimedia
URL: http://elisa.fluendo.com/
Source: http://elisa.fluendo.com/static/download/pigment/pigment-%{version}.tar.gz
Patch0: pigment-0.3.1-r606.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: glib2-devel
BuildRequires: gtk2-devel
BuildRequires: cairo-devel
BuildRequires: python-devel
BuildRequires: pygobject2-devel
BuildRequires: gstreamer-devel
BuildRequires: gstreamer-plugins-base-devel
BuildRequires: mesa-libGLU-devel
Buildrequires: check
#BuildRequires: gtk-doc
# For make check
BuildRequires: gstreamer-python, pygtk2

%description
Pigment is a toolkit for writing Media Center software.


%package devel
Summary: Development libraries and include files for Pigment
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: glib2-devel
Requires: pkgconfig
#Requires: gtk-doc

%description devel
Pigment is a toolkit for writing Media Center software.

This package contains the libraries and includes files necessary to develop
applications and plugins using Pigment.


%prep
%setup -q
%patch0 -p2


%build
# Disable --enable-gtk-doc since it would require ugly hacks (as of 0.3.1)
%configure
# Get rid of the /usr/lib64 RPATH on 64bit (still as of 0.3.1)
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
# Parallel make fails (still as of 0.3.1), so remove %{?_smp_mflags}
%{__make}


%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
# Remove all *.la files
find %{buildroot} -name '*.la' -exec rm -f {} \;


#check
# It would be useful to run this, unfortunately the python checks try to
# "import gtk.gdk" and fail because of "RuntimeError: could not open display"
#{__make} check


%clean
%{__rm} -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{_libdir}/*.so.*
%{_libdir}/pigment-0.3/
%{python_sitelib}/pgm/
%{python_sitelib}/pypgmtools/
%{python_sitearch}/*.so

%files devel
%defattr(-,root,root,-)
#doc docs/pgm/
%{_includedir}/pigment-0.3/
%{_libdir}/*.so
%{_libdir}/pkgconfig/pigment-0.3.pc
#{_datadir}/gtk-doc/html/pigment-render/


%changelog
* Wed Aug 22 2007 Matthias Saou <http://freshrpms.net/> 0.3.1-2
- Include r606 patch to fix pigment bug #147 (segfaults with python bits).

* Sat Aug  4 2007 Matthias Saou <http://freshrpms.net/> 0.3.1-1
- Update to 0.3.1.
- Correct License field from "GPL" to "LGPLv2+".
- Disable gtk-doc because it tries to link to libpigment directly, which isn't
  yet available.
- Add new "check" build requirement.

* Mon Apr 16 2007 Matthias Saou <http://freshrpms.net/> 0.1.5-1
- Update to 0.1.5.
- Get rid of the /usr/lib64 RPATH on 64bit.

* Mon Apr 16 2007 Matthias Saou <http://freshrpms.net/> 0.1.4-2
- Update URLs.
- Remove still included *.la files.
- Have devel require gtk-doc for parent directory ownership.

* Wed Feb 21 2007 Matthias Saou <http://freshrpms.net/> 0.1.4-1
- Update to 0.1.4.

* Thu Feb  8 2007 Matthias Saou <http://freshrpms.net/> 0.1.3-1
- Spec file cleanup.

* Thu Feb 01 2007 Loïc Molinari <loic@fluendo.com>
- removed the pygtk2-devel build requirement
- removed the libSDL requirement

* Thu Jan 04 2007 Thomas Vander Stichele <thomas at apestaart dot org>
- fix requires
- fix URL's
- add plugins-base BR
- pull in either pygobject2-devel or pygtk2-devel depending on version

* Thu Nov 09 2006 Loïc Molinari <loic@fluendo.com>
- changed the license

* Thu Nov 09 2006 Thomas Vander Stichele <thomas at apestaart dot org>
- cleaned up
- fixed for 64-bit systems
- get versions from configure.ac

* Wed Nov 08 2006 Loïc Molinari <loic@fluendo.com>
- added the GStreamer video sink plugin

* Thu Oct 31 2006 Christian Schaller <christian@fluendo.com>
- first draft of spec file

